## Apache Zeta Components Manual :: Docs For Class ezcBaseFileException

### Base::ezcBaseFileException

### Class ezcBaseFileException

ezcBaseFileException is the exception from which all file related exceptions inherit.

Source for this file: /Base/src/exceptions/file_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBaseFileException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcPersistentObjectSchemaOverwriteException | Exception thrown if a file to be written exists, but overwrite is disabled.
ezcBaseFileNotFoundException | ezcBaseFileNotFoundException is thrown when a file or directory was tried to be opened, but did not exist.
ezcBaseFilePermissionException | ezcBaseFilePermissionException is thrown whenever a permission problem with a file, directory or stream occurred.
ezcBaseFileIoException | ezcBaseFileIoException is thrown when a problem occurs while writing and reading to/from an open file.

### Constants

`CHANGE = 8` |
`EXECUTE = 4` |
`READ = 1` |
`REMOVE = 16` |
`WRITE = 2` |

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3